/*
 * MailChimp custom jQuery scripts
 */

(function ($) {

    "use strict";

    $(document).ready(function () {

        // checkbox
        $('.MailChimp .panel-checkbox input[value="true"]').parent().addClass('checked');
        $('.MailChimp .panel-checkbox').on('click', function () {
            let value = $(this).find('input').val();
            if (value === 'false') {
                $(this).addClass('checked').find('input').val('true');
            } else {
                $(this).removeClass('checked').find('input').val('false');
            }
        });

        // mini colors
        if ($('.MailChimp input.minicolors').length)
            $('.MailChimp input.minicolors').minicolors();

        // add new list
        $('.MailChimp').on('click', '#add_newList', function () {
            let count = $('.MailChimp #list_count').val();
            count = parseInt(count);
            count++;
            $('.MailChimp #list_count').val(count);
            $('.MailChimp #mailchimpsave_option').trigger('click');
            $(this).attr('disabled', 'disabled');
        });

        // delete list
        $('.MailChimp').on('click', '.delete_list', function () {
            let count = $('.MailChimp #list_count').val();
            count = parseInt(count);
            count--;
            $('.MailChimp #list_count').val(count);
            $(this).parents('.list').fadeOut();
            $('.MailChimp #mailchimpsave_option').trigger('click');
        });

        // ajax post form
        $('.widget-mailchimp-form .mailchimp-form form, .vc-mailchimp-form form').on('submit', function () {
            let form = $(this);
            let dataString = {
                action: 'MailChimp_subscribe',
                mailchimp_listID: form.find('input[name="mailchimp_listID"]').val(),
                mailchimp_fname: form.find('input[name="mailchimp_fname"]').val(),
                mailchimp_lname: form.find('input[name="mailchimp_lname"]').val(),
                mailchimp_phone: form.find('input[name="mailchimp_phone"]').val(),
                mailchimp_email: form.find('input[name="mailchimp_email"]').val()
            };
            form.find('.mailchimp_btn').css({"display": "none"});
            form.next('.loading').css({"display": "block"});
            form.next('.loading').next('p.mailchimp_msg').text('').hide();
            $.ajax({
                url: form.attr('action'),
                type: 'POST',
                data: dataString,
                dataType: 'text',
                success: function (data) {
                    form.find('input[type="text"],input[type="email"]').val('');
                    form.next('.loading').css({"display": "none"});
                    form.find('.mailchimp_btn').css({"display": "block"});
                    form.next('.loading').next('p.mailchimp_msg').text(data).show().delay(3500).slideUp(500);
                }
            });
            return false;
        });

    });

})(jQuery);