<?php

/*
 * 
 * MailChimp Subscribe PHP Class Form 
 * 
 * Let public visitors to subscribe your newsletter 
 * 
 * PHP Version 5.x
 *
 * Author Tatwerat-Team 
 * 
 * Author-Account http://themeforest.net/user/tatwerat-team 
 * 
 * Version 1.1
 *
 */

class MailChimp_API {

    public $Key;
    public $ListID;
    public $Error;
    public $Email;
    public $FName;
    public $LName;
    public $PHONE;
    public $Status = 'subscribed';
    public $FullData;

    public function __construct($API_Key, $List_ID, $Full_Data = true) {
        $this->Key = $API_Key;
        $this->ListID = $List_ID;
        $this->FullData = $Full_Data;
    }

    public function subscribed($fname, $lname, $email, $phone = '') {
        $this->FName = $fname;
        $this->LName = $lname;
        $this->Email = $email;
        $this->PHONE = $phone;
        $this->message();
        if (!$this->Error)
            $this->curlData($this->apiUrl(), $this->Key, $this->jsonData(), 'PUT',false);
    }

    public function list_count() {
        $apiKey = $this->Key;
        $listId = $this->ListID;
        $memberId = $memberId = md5(strtolower($this->Email));
        $getapi = substr($this->escape($apiKey), strpos($this->escape($apiKey), '-') + 1);
        return 'https://' . $this->escape($getapi) . '.api.mailchimp.com/3.0/lists/d3a1b91aa7/members?offset=5&count=10';
    }

    public function apiUrl() {
        $apiKey = $this->Key;
        $listId = $this->ListID;
        $memberId = $memberId = md5(strtolower($this->Email));
        $getapi = substr($this->escape($apiKey), strpos($this->escape($apiKey), '-') + 1);
        return 'https://' . $this->escape($getapi) . '.api.mailchimp.com/3.0/lists/' . $this->escape($listId) . '/members/' . $this->escape($memberId);
    }

    public function jsonData() {
        return json_encode([
            'email_address' => $this->escape($this->Email),
            'status' => $this->escape($this->Status),
            'merge_fields' => [
                'FNAME' => $this->escape($this->FName),
                'LNAME' => $this->escape($this->LName),
                'PHONE' => $this->escape($this->PHONE),
            ]
        ]);
    }

    public function curlData($url, $apiKey, $json, $type, $get = false) {
        $ch = curl_init($url);
        curl_setopt($ch, CURLOPT_USERPWD, 'user:' . $apiKey);
        curl_setopt($ch, CURLOPT_HTTPHEADER, ['Content-Type: application/json']);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
        curl_setopt($ch, CURLOPT_TIMEOUT, 10);
        curl_setopt($ch, CURLOPT_CUSTOMREQUEST, $type);
        curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
        curl_setopt($ch, CURLOPT_POSTFIELDS, $json);
        $result = curl_exec($ch);
        $httpCode = curl_getinfo($ch, CURLINFO_HTTP_CODE);
        curl_close($ch);
        if ($get)
            echo var_dump(json_decode($result));
        else
            $this->Error = ($httpCode != 200) ? "[error-" . $httpCode . "]" : '';
    }

    public function validate() {
        if (empty($this->Email)) {
            $this->Error = esc_html__('Email required', 'mailchimp-form');
        }
        else if (!filter_var($this->Email, FILTER_VALIDATE_EMAIL)) {
            $this->Error = esc_html__('Invalid your email', 'mailchimp-form');
        }
    }

    public function escape($string) {
        return htmlspecialchars(trim($string), ENT_QUOTES, 'UTF-8');
    }

    public function message() {
        $this->validate();
        if (empty($this->Error)) {
            return esc_html__('Thank you for subscribe our newsletter', 'mailchimp-form');
        }
        else {
            if ($this->Error == "[error-0]") {
                return esc_html__('Bad request', 'mailchimp-form');
            }
            else if ($this->Error == "[error-400]") {
                return esc_html__('Invalid your email', 'mailchimp-form');
            }
            else if ($this->Error == "[error-401]") {
                return esc_html__('Invalid API key', 'mailchimp-form');
            }
            else if ($this->Error == "[error-404]") {
                return esc_html__('Invalid list ID', 'mailchimp-form');
            }
        }
    }

}
