<?php
$list_count = ($this->get_options('list_count', 'options')) ? $this->get_options('list_count', 'options') : 1;
?>
<div class="wrap">
    <h1><?php esc_html_e('MailChimp Form', 'mailchimp-form'); ?></h1>
    <div class="MailChimp">
        <ul class="navTabs">
            <li class="active"><a data-href="#Setting"><?php esc_html_e('General Setting', 'mailchimp-form'); ?></a></li>
        </ul>
        <div class="tabBody">
            <div class="tab active" id="Setting">
                <form action="<?php echo $_SERVER['REQUEST_URI']; ?>" method="post">
                    <input type="hidden" name="list_count" id="list_count" value="<?php echo $list_count; ?>">
                    <table class="form-table">
                        <tbody>
                            <tr class="form-field form-required">
                                <th scope="row"><label for="api_key"><?php esc_html_e('API Key', 'mailchimp-form'); ?></label></th>
                                <td><input name="api_key" type="text" id="api_key" value="<?php echo $this->get_options('api_key', 'options'); ?>"></td>
                            </tr>
                            <tr class="form-field form-required">
                                <th scope="row"><label for="widget_body_title"><?php esc_html_e('Body Title', 'mailchimp-form'); ?></label></th>
                                <td><input name="widget_body_title" type="text" id="widget_body_title" value="<?php echo $this->get_options('widget_body_title', 'options'); ?>"></td>
                            </tr>
                            <tr class="form-field form-required">
                                <th scope="row"><label for="list_id"><?php esc_html_e('Default List', 'mailchimp-form'); ?></label></th>
                                <td>
                                    <?php if ($list_count) { ?>
                                        <select style="width:25em; display:block; cursor:pointer;" name="list_id" id="list_id">
                                            <?php for ($x = 1; $x <= $list_count; $x++) { ?>
                                                <option value="<?php echo esc_attr($this->get_options('list_id_' . $x, 'options')); ?>" <?php selected($this->get_options('list_id', 'options'), $this->get_options('list_id_' . $x, 'options')); ?>><?php echo esc_html($this->get_options('list_name_' . $x, 'options')); ?></option>
                                            <?php } ?>
                                        </select>
                                    <?php } ?>
                                </td>
                            </tr>
                            <tr class="form-field">
                                <th scope="row"><label for="allow_name"><?php esc_html_e('Add First and Last Name', 'mailchimp-form'); ?></label></th>
                                <td>
                                    <label class="panel-checkbox"><input type="hidden" name="allow_name" id="allow_name" value="<?php echo mailchimp_get_checkbox($this->get_options('allow_name', 'options')); ?>"></label>
                                </td>
                            </tr>
                            <tr class="form-field">
                                <th scope="row"><label for="allow_phone"><?php esc_html_e('Add Phone Number', 'mailchimp-form'); ?></label></th>
                                <td>
                                    <label class="panel-checkbox"><input type="hidden" name="allow_phone" id="allow_phone" value="<?php echo mailchimp_get_checkbox($this->get_options('allow_phone', 'options')); ?>"></label>
                                </td>
                            </tr>
                        </tbody>
                    </table>
                    <h2>
                        <i class="dashicons dashicons-admin-customizer"></i> <?php esc_html_e('Widget Style', 'mailchimp-form'); ?>
                    </h2>
                    <table class="form-table">
                        <tbody>
                            <tr class="form-field">
                                <th scope="row"><label for="widget_title_color"><?php esc_html_e('Title Background', 'mailchimp-form'); ?></label></th>
                                <td>
                                    <input type="text" name="widget_title_color" class="minicolors" id="widget_title_color" value="<?php echo $this->get_options('widget_title_color', 'options'); ?>">
                                </td>
                            </tr>
                            <tr class="form-field">
                                <th scope="row"><label for="widget_body_color"><?php esc_html_e('Background Color', 'mailchimp-form'); ?></label></th>
                                <td>
                                    <input type="text" name="widget_body_color" class="minicolors" id="widget_body_color" value="<?php echo $this->get_options('widget_body_color', 'options'); ?>">
                                </td>
                            </tr>
                            <tr class="form-field">
                                <th scope="row"><label for="widget_body-border_color"><?php esc_html_e('Border Color', 'mailchimp-form'); ?></label></th>
                                <td>
                                    <input type="text" name="widget_body-border_color" class="minicolors" id="widget_body-border_color" value="<?php echo $this->get_options('widget_body-border_color', 'options'); ?>">
                                </td>
                            </tr>
                            <tr class="form-field">
                                <th scope="row"><label for="widget_body-font_color"><?php esc_html_e('Text Color', 'mailchimp-form'); ?></label></th>
                                <td>
                                    <input type="text" name="widget_body-font_color" class="minicolors" id="widget_body-font_color" value="<?php echo $this->get_options('widget_body-font_color', 'options'); ?>">
                                </td>
                            </tr>
                        </tbody>
                    </table>
                    <h2>
                        <i class="dashicons dashicons-editor-justify"></i> <?php esc_html_e('Lists', 'mailchimp-form'); ?> (<span class="list_count"><?php echo $list_count; ?></span>)
                        <button type="button" id="add_newList" class="button"><i class="dashicons dashicons-plus"></i> <?php esc_html_e('Add New', 'mailchimp-form'); ?></button>
                    </h2>
                    <?php for ($x = 1; $x <= $list_count; $x++) { ?>
                        <div class="list" id="list-1">
                            <p>
                                <label for="list_id_<?php echo $x; ?>" style="width:13em;"><?php esc_html_e('List ID', 'mailchimp-form'); ?></label>
                                <label for="list_name_<?php echo $x; ?>" style="width:15em;"><?php esc_html_e('List Name', 'mailchimp-form'); ?></label>
                            </p>
                            <p>
                                <input name="list_id_<?php echo $x; ?>" type="text" style="width:13em;" id="list_id_<?php echo $x; ?>" value="<?php echo $this->get_options('list_id_' . $x, 'options'); ?>">
                                <input name="list_name_<?php echo $x; ?>" type="text" style="width:18.5em;" id="list_name_<?php echo $x; ?>" value="<?php echo $this->get_options('list_name_' . $x, 'options'); ?>">
                                <button type="button" class="button delete_list"><i class="dashicons dashicons-no"></i> <?php esc_html_e('Delete', 'mailchimp-form'); ?></button>
                            </p>
                        </div>
                    <?php } ?>
                    <p class="submit">
                        <input type="submit" name="mailchimpsave_option" id="mailchimpsave_option" class="button button-primary" value="<?php esc_html_e('Save Setting', 'mailchimp-form'); ?>">
                    </p>
                </form>
            </div>
        </div>
    </div>
</div>